> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deflect.bot/llms.txt
> Use this file to discover all available pages before exploring further.

# Phone Intelligence

> Validate and enrich a phone number

import { CodeBlock } from 'nextra/components'

Validate and enrich phone numbers, including format, country, carrier, and risk indicators.


## OpenAPI

````yaml POST /intelligence/phone
openapi: 3.1.0
info:
  title: Deflect API
  description: API endpoints for Deflect Antibot
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.deflect.bot
security: []
paths:
  /intelligence/phone:
    post:
      description: Validate and enrich a phone number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneResponse'
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
components:
  schemas:
    PhoneRequest:
      type: object
      required:
        - api_key
        - phone
      properties:
        api_key:
          type: string
          description: Your Deflect API Key
        phone:
          type: string
          description: +E.164 phone number
    PhoneResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
          properties:
            is_valid:
              type: boolean
            e164_format:
              type: string
            country_code:
              type: string
            country:
              type: string
            country_name:
              type: string
            number_type:
              type: string
            line_type:
              type: string
            carrier:
              type: string
            carrier_type:
              type: string
            risk_score:
              type: number
            is_disposable:
              type: boolean
            is_virtual:
              type: boolean
            is_threat:
              type: boolean
            is_spam:
              type: boolean
            validation_error:
              type: string
              description: Validation error message, if any.
    UnauthorizedError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: invalid_token
      required:
        - success
        - message

````